ResourcesProduct Variants

Variant collection PATCH compatibility route

Understand the legacy collection path and use an identified variant or batch operation instead.

PATCH
/v2/products/{product}/variants

Authorization

bearerAuth storeAuth
AuthorizationBearer <token>

Provide your SellApp API key as a bearer token.

In: header

X-STORE<token>

Select the SellApp store for this API request.

In: header

Path Parameters

product*integer

The product path parameter.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://sell.app/api/v2/products/0/variants"
{
  "message": "Unauthenticated."
}
{
  "message": "This action is unauthorized."
}
{
  "message": "Rule not found."
}
{
  "message": "The given data was invalid.",
  "errors": {
    "data": [
      "The data field is required."
    ]
  }
}